Updates the RRD database

- « rrd_tune

- rrd_version »

- PHP Manual
- RRD Functions
- Updates the RRD database

# rrd_update

(PECL rrd >= 0.9.0)

rrd_update — Updates the RRD database

### Description

rrd_update(string `$filename`, array `$options`): bool

Updates the RRD database file. The input data is time interpolated according to the properties of the RRD database file.

### Parameters

`filename`

  RRD database file name. This database will be updated.

`options`

  Options for updating the RRD database. This is list of strings. See man page of rrd update for whole list of options.

### Return Values

Returns `true` on success or `false` on failure.